Version: 0.24
Release: alt3
Name: emacs-ognus
License: GPL
Group: Editors
Url: http://www.gnus.org
Summary: Oort Gnus package for Emacs
Summary(ru_RU.KOI8-R):  GNUS  Emacs
Requires: emacs-common emacs-w3
Source: ognus-%version.tar.gz
Source1: ognus-emacs.el

Provides: gnus
Conflicts: emacs-gnus
BuildArch: noarch

# Automatically added by buildreq on Thu Jul 26 2002
BuildRequires: emacs-common emacs-w3 texinfo

%description
Gnus is a program for Emacs which enable read news and mail from Emacs.
This is alpha version of package.

All Emacs Lisp code is byte-copmpiled, install %name-el for sources.

%description -l ru_RU.KOI8-R
GNUS   Emacs     . Oort Gnus 
     Gnus.

   Emacs Lisp ,     
 %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description el -l ru_RU.KOI8-R
 %name-el      %name, 
    Emacs.

%name-el   ,     
  %name,     .

%prep
%setup -n ognus-%version

%build
./configure --prefix=%prefix --with-lispdir=%_emacslispdir/gnus --with-emacs --with-etcdir=%_datadir/emacs/etc --with-w3=%_emacslispdir/w3 --with-url=%_emacslispdir/w3
make EMACS=emacs

%install
mkdir -p %buildroot%_emacslispdir/gnus
install -m 644 lisp/*.el* %buildroot%_emacslispdir/gnus

mkdir -p %buildroot%_infodir
cd texi
# for i in gnus message ; do
#     install -m 644 $i %buildroot%_infodir/$i.info
# done

# for i in gnus-[0-9]* message-[0-9]* ; do
#     install -m 644 $i %buildroot%_infodir/`echo $i | sed -e 's|\([a-z]*\)\(-[0-9]*\)|\1.info\2|'`
# done

install -m 644 message %buildroot%_infodir/
install -m 644 gnus gnus-1 gnus-2 gnus-3 gnus-4 %buildroot%_infodir/
install -m 644 emacs-mime pgg sieve %buildroot%_infodir/
cd ..

mkdir -p %buildroot%_datadir/emacs/etc/gnus
mkdir -p %buildroot%_datadir/emacs/etc/smilies
install -m 644 etc/gnus/* %buildroot%_datadir/emacs/etc/gnus
install -m 644 etc/smilies/* %buildroot%_datadir/emacs/etc/smilies
install -m 644 etc/gnus-tut.txt %buildroot%_datadir/emacs/etc/

mkdir -p %buildroot/etc/emacs/site-start.d
install -m 644 %SOURCE1 %buildroot/etc/emacs/site-start.d/gnus.el

%post
%install_info gnus
%install_info message
%install_info emacs-mime
%install_info pgg
%install_info sieve

%preun
%uninstall_info gnus
%uninstall_info message
%uninstall_info emacs-mime
%uninstall_info pgg
%uninstall_info sieve

%files
%doc ChangeLog README GNUS-NEWS todo
%_infodir/*
%_emacslispdir/gnus/*.elc
%config(noreplace) /etc/emacs/site-start.d/*
%_datadir/emacs/etc/*

%files el
%_emacslispdir/gnus/*.el

%changelog
* Mon Jan 05 2004 Ott Alex <ott@altlinux.ru> 0.24-alt3
- Fix install of info files

* Wed Nov 12 2003 Ott Alex <ott@altlinux.ru> 0.24-alt2
- Fixing spec

* Mon May 12 2003 Ott Alex <ott@altlinux.ru> 0.24-alt1
- new release: 0.24 (aka gnus 5.10.1)

* Sun May 11 2003 Ott Alex <ott@altlinux.ru> 0.19-alt1
- 0.19 release

* Sun Apr 27 2003 Ott Alex <ott@altlinux.ru> 0.18-alt1
- 0.18 release

* Wed Apr 02 2003 Ott Alex <ott@altlinux.ru> 0.17-alt1
- 0.17 release

* Mon Feb 17 2003 Ott Alex <ott@altlinux.ru> 0.15-alt2
- Fixing spec file

* Mon Feb 10 2003 Ott Alex <ott@altlinux.ru> 0.15-alt1
- New version

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 0.14-alt2
- fixing spec file

* Fri Feb 07 2003 Ott Alex <ott@altlinux.ru> 0.14-alt1
- New version

* Tue Jan 14 2003 Ott Alex <ott@altlinux.ru> 0.12-alt4
- New version of package

* Thu Aug 22 2002 Ott Alex <ott@altlinux.ru> 0.07-alt3
- Splitting on byte-compiled & source packages

* Tue Aug 06 2002 Ott Alex <ott@altlinux.ru> 0.07-alt2
- Adding right Requires to spec

* Thu Jul 26 2002 Ott Alex <ott@altlinux.ru> 0.06-alt1
- Initial build

